#!/bin/sh
cd
export GIT_DIR="./.dotfiles"
export GIT_WORK_TREE="."
git init
git remote add origin https://git.pleasantprogrammer.com/thatsmydoing/dotfiles.git
git fetch
git checkout -ft origin/master
git submodule init
git submodule update

# create vim state folders
mkdir -p .cache/vim/undo
mkdir -p .cache/vim/swap
mkdir -p .cache/vim/backup
